apiVersion: networking.k8s.io/v1
kind: NetworkPolicy
metadata:
  name: restriction-service
  namespace: prod
spec:
  podSelector:
    matchLabels:
      app: serveur
  policyTypes:
  - Ingress   # par défaut
  ingress:
  - from:
    - podSelector:
        matchLabels:
          run: client
      namespaceSelector:
        matchLabels:
          espace: clients
    ports:
    - protocol: TCP
      port: 80
